Loading...
Searching...
No Matches
juce::AudioData::Converter Class Referenceabstract

`#include <juce_AudioDataConverters.h>`

Inheritance diagram for juce::AudioData::Converter:

## Public Member Functions

virtual void | convertSamples (void *destSamples, const void *sourceSamples, int numSamples) const =0
virtual void | convertSamples (void *destSamples, int destSubChannel, const void *sourceSamples, int sourceSubChannel, int numSamples) const =0

## Detailed Description

A base class for objects that are used to convert between two different sample formats.

The AudioData::ConverterInstance implements this base class and can be templated, so you can create an instance that converts between two particular formats, and then store this in the abstract base class.

See also
  AudioData::ConverterInstance

Definition at line 590 of file juce_AudioDataConverters.h.

## Member Function Documentation

## convertSamples() [1/2]

virtual void juce::AudioData::Converter::convertSamples | ( | void * | destSamples,
|  | const void * | sourceSamples,
|  | int | numSamples ) const

pure virtual

Converts a sequence of samples from the converter's source format into the dest format.

Implemented in juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >.

## convertSamples() [2/2]

virtual void juce::AudioData::Converter::convertSamples | ( | void * | destSamples,
|  | int | destSubChannel,
|  | const void * | sourceSamples,
|  | int | sourceSubChannel,
|  | int | numSamples ) const

pure virtual

Converts a sequence of samples from the converter's source format into the dest format. This method takes sub-channel indexes, which can be used with interleaved formats in order to choose a particular sub-channel of the data to be used.

Implemented in juce::AudioData::ConverterInstance< SourceSampleType, DestSampleType >.

The documentation for this class was generated from the following file:

- juce_AudioDataConverters.h